%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-superagent
Version:    1.4.0
Release:    1%{?dist}
Summary:    A small, progressive client-side HTTP request library
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/superagent
Source0:    https://github.com/visionmedia/superagent/archive/v1.4.0.tar.gz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(better-assert)
BuildRequires:  npm(component-emitter)
BuildRequires:  npm(cookiejar)
BuildRequires:  npm(debug)
BuildRequires:  npm(express)
BuildRequires:  npm(formidable)
BuildRequires:  npm(methods)
BuildRequires:  npm(mime)
BuildRequires:  npm(qs)
BuildRequires:  npm(reduce-component)
BuildRequires:  npm(should)
BuildRequires:  npm(extend)
BuildRequires:  npm(readable-stream)
%endif

%description
A small, progressive client-side HTTP request library crafted for flexibility,
readability, and a low learning curve.


%prep
%setup -q -n superagent-%{version}

%nodejs_fixdep cookiejar '~2.0.1'
%nodejs_fixdep extend '~2.0.1'
%nodejs_fixdep methods '~1.1.1'
%nodejs_fixdep debug

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/superagent
cp -pr package.json component.json lib/ examples/ \
    %{buildroot}%{nodejs_sitelib}/superagent

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test /usr/bin/mocha --require should --reporter spec \
    --timeout 5000 --growl test/node/*.js
%endif


%files
%doc History.md Readme.md
%license LICENSE
%{nodejs_sitelib}/superagent


%changelog
* Thu Oct 08 2015 Jared Smith <jsmith@fedoraproject.org> - 1.4.0-1
- Update to upstream 1.4.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.17.0-5
- fix versioned dependencies

* Sat Mar 15 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.17.0-4
- temporarily disable tests

* Sat Mar 15 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.17.0-3
- remove BR: npm(extend)

* Mon Mar 10 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.17.0-2
- remove dependency on npm(extend)

* Sat Mar 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.17.0-1
- initial package
